// VECTOR.H: Header file for VECTOR.CPP.
#ifndef VECTORH
#define VECTORH

struct VECTOR {
  double X, Y, Z;
};

double Mag(VECTOR *V);
VECTOR Subtract(VECTOR *V1, VECTOR *V2);
VECTOR Cross(VECTOR *V1, VECTOR *V2);
VECTOR Divide(VECTOR *V, double Num);
void Normalize(VECTOR *V);
double Dot(VECTOR *V1, VECTOR *V2);

#endif


